Skip navigation

Will my 5th generation Mac with purchased upgrades support Diablo 3?

1957 Views 3 Replies Latest reply: May 2, 2012 1:01 PM by tnethers RSS
iamkevbone Calculating status...
Currently Being Moderated
May 2, 2012 12:43 PM

Hello Mac family!!

 

I have a question that I have been getting multiple answers to.  My 5th generation Mac has the following specs:

 

OS X: 10.5.8 Leopard but I will be purchased Snow Leopard and Lion this weekend.

Hard Drive: 50 GB

Processor: 2.1 GHz Intel Core 2 Duo

Memory: 1GB 667 MHz DDR2 SDRAM (recently purchased a 4GB memory module)

Graphics/Displays:  Chipset Model: Intel GMA X3100

 

Diablo 3 requirements are:

 

  • Mac® OS X 10.6.8, 10.7.x or newer
  • Intel® Core 2 Duo CPU (or better)
  • NVIDIA® GeForce® 8600M GT or ATI Radeon™ HD 2600 (or better)
  • 2 GB RAM
  • 12 GB available Hard Drive space
  • DVD-ROM drive (for retail disc versions only)
  • Broadband Internet connection
  • Video settings reaching a minimum resolution of 1024x768

 

I will have the OS X problem fixed when I upgrade to lion.  I will also have the RAM problem fixed when the 4GB module comes in.  I feel everything else is in order except the graphic card.  Will my GMA X3100 support the gameplay or DO I NEED NVIDIA OR ATI Radeon?

MacBook, Mac OS X (10.5.8)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.